关于人人开源renren-fast-vue 中npm install报错

  • 时间:
  • 浏览:
  • 来源:互联网

1.关于人人开源renren-fast-vue使用npm install报错的问题,首先确保安装了python3.0以上版本,并配置全局变量
其次大部分错误是报node-sass4.9.0安装失败。
执行以下步骤可以完美解决
首先把项目文件夹下的package.json里面的node-sass4.9.0改成4.9.2(不改可能也没关系,不过我改了,防止踩坑)
然后项目文件夹下打开cmd命令窗口(和Visual Studio Code的终端命令是一样的)

2.解决办法:如果你之前安装失败过的,请先清理缓存

使用命令:
npm rebuild node-sass

npm uninstall node-sass

3.之后执行:

npm i node-sass --sass_binary_site=https://npm.taobao.org/mirrors/node-sass/
执行成功后看看有没有报错,要是没有报错就可以执行安装命令了

4.安装

npm install

npm run dev

本文链接http://metronic.net.cn/metronic/show-53463.html